Lenovo M4400s Screen will blink between normal and green

Bug #1212376 reported by Haitao Zhang on 2013-08-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
High
Adam Lee
linux (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Adam Lee
Raring
Undecided
Adam Lee
linux-lts-quantal (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Adam Lee
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
linux-lts-raring (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Adam Lee
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

Lenovo M4400s laptop
BIOS: J8ET09WW (0.09 )

CPU: Intel(R) Core(TM) i3-4010U CPU @ 1.70GHz
GPU: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] & NVIDIA Corporation Device [10de:1290]

After Ubuntu boot up, screen will blink between normal and green.

The hardware is ok, Windows 8 and BIOS is OK. If I try to disable the kernel mode set by adding "nomodeset" to grub, screen will stop to blink.

CVE References

Andy Whitcroft (apw) on 2013-08-14
Changed in linux (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu):
status: New → Invalid
Andy Whitcroft (apw) on 2013-08-14
Changed in linux (Ubuntu Quantal):
assignee: nobody → Haitao Zhang (minipanda)
Changed in linux-lts-quantal (Ubuntu Precise):
assignee: nobody → Haitao Zhang (minipanda)
Changed in linux-lts-raring (Ubuntu Precise):
assignee: nobody → Haitao Zhang (minipanda)
Changed in linux (Ubuntu Raring):
assignee: nobody → Haitao Zhang (minipanda)
Haitao Zhang (minipanda) wrote :

Green screen symptom after boot M490s with v3.5 kernel.

Haitao Zhang (minipanda) wrote :

commit a65851af59387146a28a928c3e7bb17dabc5db72 in upstream fixed this issue, will send backport patch to stable kernel.

tags: added: blocks-hwcert-enablement
Changed in hwe-next:
assignee: nobody → Haitao Zhang (minipanda)
importance: Undecided → High
Changed in linux-lts-raring (Ubuntu Precise):
assignee: Haitao Zhang (minipanda) → Adam Lee (adam8157)
Changed in linux-lts-quantal (Ubuntu Precise):
assignee: Haitao Zhang (minipanda) → Adam Lee (adam8157)
Changed in linux (Ubuntu Raring):
assignee: Haitao Zhang (minipanda) → Adam Lee (adam8157)
Changed in linux (Ubuntu Quantal):
assignee: Haitao Zhang (minipanda) → Adam Lee (adam8157)
Changed in hwe-next:
assignee: Haitao Zhang (minipanda) → Adam Lee (adam8157)
Adam Lee (adam8157) wrote :

$ git tag --contains b92ae13bf2b9610bef48c1b64c0b4dcdf47a4053
Ubuntu-3.8.0-31.45
Ubuntu-3.8.0-31.46

commit b92ae13bf2b9610bef48c1b64c0b4dcdf47a4053
Author: Ville Syrjälä <email address hidden>
Date: Tue Apr 23 15:03:34 2013 +0300

    drm/i915: Make data/link N value power of two

    BugLink: http://bugs.launchpad.net/bugs/1221794

    commit a65851af59387146a28a928c3e7bb17dabc5db72 upstream.

Changed in linux (Ubuntu Raring):
status: New → Fix Released
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
Adam Lee (adam8157) wrote :

Is backporting b92ae13bf2b9610bef48c1b64c0b4dcdf47a4053 from ubuntu-raring to ubuntu-quantal/ubuntu/i915

Adam Lee (adam8157) wrote :

backported and tested, positive, patch submitted.

Adam Lee (adam8157) wrote :

patch for ubuntu-quantal is applied

Changed in hwe-next:
status: New → In Progress
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Adam Lee (adam8157) wrote :

tested 3.5.0-42-generic, positive

tags: added: verification-done-quantal
removed: verification-needed-quantal
Changed in linux (Ubuntu Quantal):
status: New → Fix Committed
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-quantal - 3.5.0-42.65~precise1

---------------
linux-lts-quantal (3.5.0-42.65~precise1) precise; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1233922

  [ Upstream Kernel Changes ]

  * drm/i915: Make data/link N value power of two
    - LP: #1212376
  * isofs: Refuse RW mount of the filesystem instead of making it RO
    - LP: #1228751
  * udf: Standardize return values in mount sequence
    - LP: #1228751
  * udf: Refuse RW mount of the filesystem instead of making it RO
    - LP: #1228751
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
 -- Brad Figg <email address hidden> Tue, 01 Oct 2013 11:10:13 -0700

Changed in linux-lts-quantal (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-42.65

---------------
linux (3.5.0-42.65) quantal; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1233787

  [ Upstream Kernel Changes ]

  * drm/i915: Make data/link N value power of two
    - LP: #1212376
  * isofs: Refuse RW mount of the filesystem instead of making it RO
    - LP: #1228751
  * udf: Standardize return values in mount sequence
    - LP: #1228751
  * udf: Refuse RW mount of the filesystem instead of making it RO
    - LP: #1228751
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
 -- Brad Figg <email address hidden> Tue, 01 Oct 2013 11:10:13 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Adam Lee (adam8157) on 2013-10-22
Changed in hwe-next:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers